Debian Bug report logs - #604071
openvpn: please include IPv6 payload patch

version graph

Package: openvpn; Maintainer for openvpn is Alberto Gonzalez Iniesta <agi@inittab.org>; Source for openvpn is src:openvpn.

Reported by: Andreas Ferber <af+debian-bugregports@chaos-agency.de>

Date: Fri, 19 Nov 2010 22:57:05 UTC

Severity: wishlist

Tags: ipv6, patch, upstream

Found in version openvpn/2.1.3-2

Fixed in version openvpn/2.1.3-5

Done: Alberto Gonzalez Iniesta <agi@inittab.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alberto Gonzalez Iniesta <agi@inittab.org>:
Bug#604071; Package openvpn. (Fri, 19 Nov 2010 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Ferber <af+debian-bugregports@chaos-agency.de>:
New Bug report received and forwarded. Copy sent to Alberto Gonzalez Iniesta <agi@inittab.org>. (Fri, 19 Nov 2010 22:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Ferber <af+debian-bugregports@chaos-agency.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openvpn: please include IPv6 payload patch
Date: Fri, 19 Nov 2010 23:36:21 +0100
[Message part 1 (text/plain, inline)]
Package: openvpn
Version: 2.1.3-2
Severity: wishlist
Tags: ipv6 squeeze patch sid upstream

Please consider including the IPv6 payload patch made by Gert Döring
into the Debian package of openvpn.

Information about the patch can be found here:

  http://www.greenie.net/ipv6/openvpn.html

AFAICT it is already being considered for upstream inclusion, possibly
for the next major relase 2.2.

The patch you find at the URL above doesn't apply cleanly against the
debian openvpn package because of conflicts with other patches already
applied. However, I'm attaching a version of the patch where all the
conflicts have been resolved.

If you decide to add the patch to the package, you should also consider
adding the README.IPv6 and ChangeLog.IPv6 files created by the patch to
the binary package.

Andreas

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (650, 'testing'), (550, 'stable'), (120, 'unstable'), (99, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/3 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages openvpn depends on:
ii  cdebconf [debconf-2.0]        0.150      Debian Configuration Management Sy
ii  debconf [debconf-2.0]         1.5.36     Debian configuration management sy
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  liblzo2-2                     2.03-2     data compression library
ii  libpam0g                      1.1.1-6.1  Pluggable Authentication Modules l
ii  libpkcs11-helper1             1.07-1     library that simplifies the intera
ii  libssl0.9.8                   0.9.8o-3   SSL shared libraries
ii  net-tools                     1.60-23    The NET-3 networking toolkit
ii  openssl-blacklist             0.5-2      list of blacklisted OpenSSL RSA ke
ii  openvpn-blacklist             0.4        list of blacklisted OpenVPN RSA sh

openvpn recommends no packages.

Versions of packages openvpn suggests:
ii  openssl                       0.9.8o-3   Secure Socket Layer (SSL) binary a
pn  resolvconf                    <none>     (no description available)

-- debconf information excluded
[openvpn-2.1-ipv6-20100307-1.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604071; Package openvpn. (Sat, 20 Nov 2010 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
Extra info received and forwarded to list. (Sat, 20 Nov 2010 12:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 604071@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: Andreas Ferber <af+debian-bugregports@chaos-agency.de>, 604071@bugs.debian.org
Subject: Re: Bug#604071: openvpn: please include IPv6 payload patch
Date: Sat, 20 Nov 2010 13:39:25 +0100
On Fri, Nov 19, 2010 at 11:36:21PM +0100, Andreas Ferber wrote:
> Please consider including the IPv6 payload patch made by Gert Döring
> into the Debian package of openvpn.
> 
> Information about the patch can be found here:
> 
>   http://www.greenie.net/ipv6/openvpn.html
> 
> AFAICT it is already being considered for upstream inclusion, possibly
> for the next major relase 2.2.
> 
> The patch you find at the URL above doesn't apply cleanly against the
> debian openvpn package because of conflicts with other patches already
> applied. However, I'm attaching a version of the patch where all the
> conflicts have been resolved.

Hi,

I'm sorry, but I think is too late to add such a big patch to the
openvpn package. I'll wait until Squeeze is released and add it to sid
then (there will be openvpn backports for sure). So your work won't be
wasted :) Thanks for it.

Regards,

Alberto


-- 
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 9782 04E7 2B75 405C F5E9  0C81 C514 AF8E 4BA4 01C3




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:54 GMT) Full text and rfc822 format available.

Reply sent to Alberto Gonzalez Iniesta <agi@inittab.org>:
You have taken responsibility. (Tue, 22 Mar 2011 12:54:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Ferber <af+debian-bugregports@chaos-agency.de>:
Bug acknowledged by developer. (Tue, 22 Mar 2011 12:54:09 GMT) Full text and rfc822 format available.

Message #17 received at 604071-close@bugs.debian.org (full text, mbox):

From: Alberto Gonzalez Iniesta <agi@inittab.org>
To: 604071-close@bugs.debian.org
Subject: Bug#604071: fixed in openvpn 2.1.3-5
Date: Tue, 22 Mar 2011 12:52:17 +0000
Source: openvpn
Source-Version: 2.1.3-5

We believe that the bug you reported is fixed in the latest version of
openvpn, which is due to be installed in the Debian FTP archive:

openvpn_2.1.3-5.debian.tar.gz
  to main/o/openvpn/openvpn_2.1.3-5.debian.tar.gz
openvpn_2.1.3-5.dsc
  to main/o/openvpn/openvpn_2.1.3-5.dsc
openvpn_2.1.3-5_i386.deb
  to main/o/openvpn/openvpn_2.1.3-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alberto Gonzalez Iniesta <agi@inittab.org> (supplier of updated openvpn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 Mar 2011 10:57:18 +0100
Source: openvpn
Binary: openvpn
Architecture: source i386
Version: 2.1.3-5
Distribution: experimental
Urgency: low
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Changed-By: Alberto Gonzalez Iniesta <agi@inittab.org>
Description: 
 openvpn    - virtual private network daemon
Closes: 604071
Changes: 
 openvpn (2.1.3-5) experimental; urgency=low
 .
   * Upload to experimental.
   * Add ipv6 payload patch by Gert Doering. (Closes: #604071)
Checksums-Sha1: 
 5c7f0e8593bf7a59f386e48b85546868919eaf33 1066 openvpn_2.1.3-5.dsc
 e1652c373584f389e2c73121698c964774f47cc6 286368 openvpn_2.1.3-5.debian.tar.gz
 e58de0ee9a53a9096d06a1d7d6eb4d1568d35d8c 448822 openvpn_2.1.3-5_i386.deb
Checksums-Sha256: 
 e40ae7577201fd7268ab2ff9fbdda08fa4b46d555bb66d79367426f69deeb4cf 1066 openvpn_2.1.3-5.dsc
 277757419439ab4ab6af22e26b43e40a16517f766b45a971135068bb9771815e 286368 openvpn_2.1.3-5.debian.tar.gz
 fe95f8e3493cea89b4f0eb5851fb801284ace6fc6fbecc885d70a59787556b6d 448822 openvpn_2.1.3-5_i386.deb
Files: 
 295651126b541b9316266856d49d756b 1066 net optional openvpn_2.1.3-5.dsc
 75b7566018e5da6f76c470fcd69ff5df 286368 net optional openvpn_2.1.3-5.debian.tar.gz
 d71f1fb3447bd531f41823e78bceec3f 448822 net optional openvpn_2.1.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2IdPAACgkQxRSvjkukAcP+QwCfcD8qEBcfjNsspHNYUS67IXT7
nv0AoMEng/Gz4hQ46xTt6ePfQmfLbkxe
=d3A+
-----END PGP SIGNATURE-----





Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:30 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:49 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:57:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:56:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.